Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TExtensibleDocumented

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented

Direct Known Subclasses:
  TBinding, TBindingOperation, TBindingOperationFault, TBindingOperationMessage, TDefinitions, TMessage, TOperation, TPort, TService, TTypes

    public abstract class TExtensibleDocumented

extends TDocumented

Java class for tExtensibleDocumented complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tExtensibleDocumented">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tDocumented">
           <sequence>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected List<Object>` | `any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TExtensibleDocumented()`

Method Summary
`List<Object>` | `getAny()` Gets the value of the any property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`boolean` | `isSetAny()`
`void` | `unsetAny()`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected List<Object> any

Constructor Detail

### TExtensibleDocumented

    public TExtensibleDocumented()

Method Detail

### getAny

    public List<Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### isSetAny

    public boolean isSetAny()

### unsetAny

    public void unsetAny()

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF